/****************************************************************************/
/* GF80 ( DB定義書ﾏｽﾀ )                                                     */
/*                                                                          */
/* Created : 2021/06/29 14:03:36                                            */
/****************************************************************************/

CREATE TABLE GF80 (
   SYSTEM_ID    VARCHAR2 (   10 )                       NOT NULL            /*  1 ｼｽﾃﾑID        */
 , TBLSYU       VARCHAR2 (    1 )                       NOT NULL            /*  2 ﾃｰﾌﾞﾙ種別     */
 , TABLE_NAME   VARCHAR2 (   50 )                       NOT NULL            /*  3 ﾃｰﾌﾞﾙ名       */
 , NAME_JA      VARCHAR2 (  200 )                                           /*  4 名称          */
 , SEQNO        NUMBER   (    7 )       DEFAULT 0       NOT NULL            /*  5 表示順        */
 , CLM_NAME     VARCHAR2 (  120 )                                           /*  6 項目名(漢字)  */
 , CLM          VARCHAR2 (   30 )                       NOT NULL            /*  7 項目          */
 , CLS_NAME     VARCHAR2 (   10 )                       NOT NULL            /*  8 DBｸﾗｽ         */
 , USE_LENGTH   VARCHAR2 (    9 )       DEFAULT 'NULL'                      /*  9 使用桁数      */
 , UK           VARCHAR2 (    2 )                                           /* 10 ﾕﾆｰｸｷｰ        */
 , LUK          VARCHAR2 (    2 )                                           /* 11 論理ﾕﾆｰｸｷｰ    */
 , IXA          VARCHAR2 (    2 )                                           /* 12 ｲﾝﾃﾞｯｸｽA      */
 , IXB          VARCHAR2 (    2 )                                           /* 13 ｲﾝﾃﾞｯｸｽB      */
 , IXC          VARCHAR2 (    2 )                                           /* 14 ｲﾝﾃﾞｯｸｽC      */
 , IXD          VARCHAR2 (    2 )                                           /* 15 ｲﾝﾃﾞｯｸｽD      */
 , IXE          VARCHAR2 (    2 )                                           /* 16 ｲﾝﾃﾞｯｸｽE      */
 , IXF          VARCHAR2 (    2 )                                           /* 17 ｲﾝﾃﾞｯｸｽF      */
 , IXG          VARCHAR2 (    2 )                                           /* 18 ｲﾝﾃﾞｯｸｽG      */
 , IXH          VARCHAR2 (    2 )                                           /* 19 ｲﾝﾃﾞｯｸｽH      */
 , IXI          VARCHAR2 (    2 )                                           /* 20 ｲﾝﾃﾞｯｸｽI      */
 , IXJ          VARCHAR2 (    2 )                                           /* 21 ｲﾝﾃﾞｯｸｽJ      */
 , IXK          VARCHAR2 (    2 )                                           /* 22 ｲﾝﾃﾞｯｸｽK      */
 , NOT_NULL     VARCHAR2 (    1 )                                           /* 23 ﾉｯﾄﾇﾙ         */
 , RENDERER     VARCHAR2 (   10 )                                           /* 24 表示種別      */
 , EDITOR       VARCHAR2 (   10 )                                           /* 25 編集種別      */
 , DBTYPE       VARCHAR2 (   10 )                                           /* 26 文字種別      */
 , DATA_DEFAULT VARCHAR2 (  200 )                                           /* 27 初期値        */
 , KBCLM        VARCHAR2 (    1 )       DEFAULT '0'     NOT NULL            /* 28 ｶﾗﾑ区分       */
 , BIKO         VARCHAR2 ( 2000 )                                           /* 29 備考          */
 , CDKH         VARCHAR2 (    1 )                                           /* 30 改廃ｺｰﾄﾞ      */
 , COMMENTS     VARCHAR2 (  500 )                                           /* 31 ｺﾒﾝﾄ          */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0       NOT NULL            /* 32 ﾕﾆｰｸｷｰ        */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1'     NOT NULL            /* 33 状態ﾌﾗｸﾞ      */
 , DYSET        VARCHAR2 (   14 )                                           /* 34 登録日時      */
 , PGSET        VARCHAR2 (   10 )                                           /* 35 作成PG        */
 , PGPSET       VARCHAR2 (   10 )                                           /* 36 作成親PG      */
 , USRSET       VARCHAR2 (   10 )                                           /* 37 作成社員      */
 , DYUPD        VARCHAR2 (   14 )                                           /* 38 更新日時      */
 , PGUPD        VARCHAR2 (   10 )                                           /* 39 更新PG        */
 , PGPUPD       VARCHAR2 (   10 )                                           /* 40 更新親PG      */
 , USRUPD       VARCHAR2 (   10 )                                           /* 41 更新者        */
 , KBTBL        VARCHAR2 (    1 )       DEFAULT '0'     NOT NULL            /* 42 ﾃｰﾌﾞﾙ区分     */
 , VIEW_LENGTH  VARCHAR2 (   10 )                                           /* 43 表示桁数      */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 3072K );


CREATE SEQUENCE GF80S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF80T00 
  BEFORE INSERT ON GF80
  FOR EACH ROW 
  BEGIN 
    SELECT GF80S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
