/****************************************************************************/
/* GF95 ( DBｾｯﾄ基準書 )                                                     */
/*                                                                          */
/* Created : 2021/06/29 14:03:36                                            */
/****************************************************************************/

CREATE TABLE GF95 (
   SYSTEM_ID    VARCHAR2 (  10 )                                        /*  1 ｼｽﾃﾑID        */
 , PGID         VARCHAR2 (  30 )                    NOT NULL            /*  2 PG-ID         */
 , NMSYORI      VARCHAR2 ( 100 )                                        /*  3 処理ｸﾞﾙｰﾌﾟ名  */
 , SEQ          NUMBER   (   7 )        DEFAULT 0   NOT NULL            /*  4 順            */
 , TABLE_NAME   VARCHAR2 (  50 )                    NOT NULL            /*  5 ﾃｰﾌﾞﾙ名       */
 , CLM          VARCHAR2 (  30 )                                        /*  6 項目          */
 , MOTO         VARCHAR2 (  30 )                                        /*  7 入力元        */
 , ADDACT       VARCHAR2 ( 500 )                                        /*  8 追加時        */
 , MODIACT      VARCHAR2 ( 500 )                                        /*  9 更新時        */
 , DELACT       VARCHAR2 ( 500 )                                        /* 10 削除時        */
 , UNIQ         NUMBER   (   9 )        DEFAULT 0   NOT NULL            /* 11 ﾕﾆｰｸｷｰ        */
 , FGJ          VARCHAR2 (   1 )        DEFAULT '1' NOT NULL            /* 12 状態ﾌﾗｸﾞ      */
 , DYSET        VARCHAR2 (  14 )                                        /* 13 登録日時      */
 , PGSET        VARCHAR2 (  10 )                                        /* 14 作成PG        */
 , PGPSET       VARCHAR2 (  10 )                                        /* 15 作成親PG      */
 , USRSET       VARCHAR2 (  10 )                                        /* 16 作成社員      */
 , DYUPD        VARCHAR2 (  14 )                                        /* 17 更新日時      */
 , PGUPD        VARCHAR2 (  10 )                                        /* 18 更新PG        */
 , PGPUPD       VARCHAR2 (  10 )                                        /* 19 更新親PG      */
 , USRUPD       VARCHAR2 (  10 )                                        /* 20 更新者        */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 16K );


CREATE SEQUENCE GF95S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF95T00 
  BEFORE INSERT ON GF95
  FOR EACH ROW 
  BEGIN 
    SELECT GF95S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
